Redmine - Defect #5322

REST API 401 response doesn't include WWW-Authenticate header
2010-04-15 11:15 - Arkaitz Jimenez

Status: Closed Start date: 2010-04-15
Priority: Normal Due date:

Assignee: % Done: 0%
Category: REST API Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version:

Description

HTTP requires WWW-Authenticate header to be returned on 401 code.
Some clients depend on the header to retry with auth.

GET /projects.xml HTTP/1.1

User-Agent: Java/1.6.0_0

Host: MYHOST

Accept: text/html, image/gif, image/jpeg, *; g=.2, */*; g=.
Connection: keep-alive

HTTP/1.1 401 Unauthorized

Content-Type: application/xml; charset=utf-8

X-Runtime: 23

Content-Length: 1

Set-Cookie: _redmine_session=BAh7BjoPc2Vzc2lvbl9pZCI1lZmF jZjV1ZDImNWY5ZDUzODM2ZmFhMzZ1ZTYwZWJIkN2MS 3
D--d84bd8aa688873e8771b965f7ad35389505a52e5; path=/; HttpOnly

Cache-Control: no-cache

Date: Thu, 15 Apr 2010 09:08:42 GMT

Server: lighttpd/1.4.19

Associated revisions

Revision 3679 - 2010-04-17 14:45 - Jean-Philippe Lang
Fixed: API 401 response does not include WWW-Authenticate header (#5322).

History

#1 - 2010-04-17 14:42 - Jean-Philippe Lang

- Subject changed from Rest WebService authentication 401 doesn't include WWW-Authentication header to REST API 401 response doesn't include
WWW-Authenticate header

- Category set to REST API
- Status changed from New to Closed
- Affected version (unused) set to devel

- Resolution set to Fixed

Fixed in r3679.
